{ pkgs, ... }: {
  programs.neovim = {
    enable = true;
    defaultEditor = true;
    extraPackages = with pkgs; [
      lua-language-server
      nil
      gcc
      gnumake
      unzip
      wget
      curl
      ripgrep
      fd
      lua-language-server
    ];
  };
}
